Processes - Import Process Template
Imports a process from zip file.
POST https://dev.azure.com/{organization}/_apis/work/processadmin/processes/import?api-version=6.0-preview.1
POST https://dev.azure.com/{organization}/_apis/work/processadmin/processes/import?ignoreWarnings={ignoreWarnings}&replaceExistingTemplate={replaceExistingTemplate}&api-version=6.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '6.0-preview.1' to use this version of the api. |
|
ignore
|
query |
|
Ignores validation warnings. Default value is false. |
|
|
replace
|
query |
|
Replaces the existing template. Default value is true. |
Request Body
Media Types: "application/octet-stream"
| Name | Type | Description |
|---|---|---|
| body |
|
Stream to upload |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Examples
Sample Request
POST https://dev.azure.com/fabrikam/_apis/work/processadmin/processes/import?api-version=6.0-preview.1
Sample Response
persistent-Auth: true
lfs-Authenticate: NTLM
{
"id": "adcc42ab-9882-485e-a3ed-7678f01f66bd",
"promoteJobId": "00000000-0000-0000-0000-000000000000",
"helpUrl": null,
"validationResults": [],
"isNew": false
}
Definitions
|
Check |
Describes result of a check template existence request. |
|
Process |
Describes the result of a Process Import request. |
|
Validation |
|
|
Validation |
CheckTemplateExistenceResult
Describes result of a check template existence request.
| Name | Type | Description |
|---|---|---|
| doesTemplateExist |
|
Indicates whether a template exists. |
| existingTemplateName |
|
The name of the existing template. |
| existingTemplateTypeId |
|
The existing template type identifier. |
| requestedTemplateName |
|
The name of the requested template. |
ProcessImportResult
Describes the result of a Process Import request.
| Name | Type | Description |
|---|---|---|
| checkExistenceResult |
Check template existence result. |
|
| helpUrl |
|
Help URL. |
| id |
|
ID of the import operation. |
| isNew |
|
Whether this imported process is new. |
| promoteJobId |
|
The promote job identifier. |
| validationResults |
The list of validation results. |
ValidationIssue
| Name | Type | Description |
|---|---|---|
| description |
|
|
| file |
|
|
| helpLink |
|
|
| issueType | ||
| line |
|
ValidationIssueType
| Name | Type | Description |
|---|---|---|
| error |
|
|
| warning |
|